/**
 * @function _bud
 */

"use strict";

function _bud(tmpl, params, mode, force) {
    return {
        force: !!force,
        mode: mode || '644',
        tmpl: tmpl,
        data: {
            year: params.year || new Date().getFullYear(),
            params: params,
            generator: 'apeman-tmpl',
            today: new Date().toLocaleDateString(),
            pkg: require('../package.json'),
            _render: __dirname + '/../asset/_render.hbs'

        }
    }
}

module.exports = _bud;
